DLASQ6(3f)

NAME
DLASQ6 - one dqd (shift equal to zero) transform in ping-pong form, with protection against underflow and overflow

SYNOPSIS

SUBROUTINE DLASQ6(
    I0, N0, Z, PP, DMIN, DMIN1, DMIN2, DN, DNM1, DNM2 )

INTEGER
    I0, N0, PP

DOUBLE
    PRECISION DMIN, DMIN1, DMIN2, DN, DNM1, DNM2

DOUBLE
    PRECISION Z( * )

PURPOSE
DLASQ6 computes one dqd (shift equal to zero) transform in ping-pong form, with protection against underflow and overflow.

ARGUMENTS

I0    (input) INTEGER
    First index.

N0    (input) INTEGER
    Last index.

Z     (input) DOUBLE PRECISION array, dimension ( 4*N )
    Z holds the qd array. EMIN is stored in Z(4*N0) to avoid an extra argument.

PP    (input) INTEGER
    PP=0 for ping, PP=1 for pong.

DMIN  (output) DOUBLE PRECISION
    Minimum value of d. DMIN1 (output) DOUBLE PRECISION Minimum value of d, excluding D( N0 ). DMIN2 (output) DOUBLE PRECISION Minimum value of d, excluding D( N0 ) and D( N0-1 ).

DN    (output) DOUBLE PRECISION
    d(N0), the last value of d.

DNM1  (output) DOUBLE PRECISION
    d(N0-1).

DNM2  (output) DOUBLE PRECISION
    d(N0-2).